#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/preinstall.sh - install postgresql-common package
#
# Creation:    2018-08-03 dv
# Last update: 2023-07-23 09:11:10
#
# Copyright (c) 2023 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

. /var/install/include/eislib

#-----------------------------------------------------------------------------
# patch uninstall routine of old postgresql package
#-----------------------------------------------------------------------------

if [ -f /var/install/deinstall/postgresql ]
then
    # change uninstall routine to keep postgres user and group unchanged
    sed -e 's:   /var/install/bin/remove-user:   # /var/install/bin/remove-user:g' \
        -e 's:   grep -v "^postgres:   # grep -v "^postgres:g' \
        -e 's:   cp /tmp/group-\$\$ /etc/group:   # cp /tmp/group-\$\$ /etc/group:g' \
        -e 's:   rm -f /tmp/group-\$\$:   echo -n "" # rm -f /tmp/group-\$\$:g' \
        /var/install/deinstall/postgresql > /tmp/tmpfile$$
    mv /tmp/tmpfile$$ /var/install/deinstall/postgresql
fi

exit 0
